TKN-CLUSTERTRIGGERBINDING-DELETE(1)

NAME

tkn-clustertriggerbinding-delete - Delete ClusterTriggerBindings

SYNOPSIS

tkn clustertriggerbinding delete

DESCRIPTION

Delete ClusterTriggerBindings

OPTIONS

--all[=false]
    Delete all ClusterTriggerBindings (default: false)

--allow-missing-template-keys[=true]
    If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats.

-f, --force[=false]
    Whether to force deletion (default: false)

-h, --help[=false]
    help for delete

-o, --output=""
    Output format. One of: (json, yaml, name, go-template, go-template-file, template, templatefile, jsonpath, jsonpath-as-json, jsonpath-file).

--show-managed-fields[=false]
    If true, keep the managedFields when printing objects in JSON or YAML format.

--template=""
    Template string or path to template file to use when -o=go-template, -o=go-template-file. The template format is golang templates [ ⟨http://golang.org/pkg/text/template/#pkg-overview⟩].

OPTIONS INHERITED FROM PARENT COMMANDS

-c, --context=""
    name of the kubeconfig context to use (default: kubectl config current-context)

-k, --kubeconfig=""
    kubectl config file (default: $HOME/.kube/config)

-C, --no-color[=false]
    disable coloring (default: false)

EXAMPLE

Delete ClusterTriggerBindings with names 'foo' and 'bar'

    tkn clustertriggerbinding delete foo bar

or

    tkn ctb rm foo bar

SEE ALSO

tkn-clustertriggerbinding(1)